Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1365181

Summary: Missing compat-sap-c++-5.so symlink
Product: Red Hat Enterprise Linux 7 Reporter: Marek Polacek <mpolacek>
Component: compat-sap-c++-5Assignee: Marek Polacek <mpolacek>
Status: CLOSED ERRATA QA Contact: Michael Petlan <mpetlan>
Severity: high Docs Contact:
Priority: high    
Version: 7.2CC: alexander.hass, cgiunta, fdanapfe, mnewsome, mpetlan, trees
Target Milestone: rcKeywords: ZStream
Target Release: 7.2   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: compat-sap-c++-5-5.3.1-10.el7 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
: 1382392 (view as bug list) Environment:
Last Closed: 2016-11-04 08:36:39 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1364088, 1382392    

Description Marek Polacek 2016-08-08 14:40:28 UTC
Description of problem:

Currently, compat-sap-c++-5-5.3.1-6.el7_2.x86_64.rpm contains 
/opt/rh/SAP/lib64/compat-sap-c++-5.3.1.so, but there should also be a symlink named compat-sap-c++-5.so pointing to the real DSO.

Version-Release number of selected component (if applicable):

compat-sap-c++-5-5.3.1-6.el7_2

Comment 3 Frank Danapfel 2016-08-15 08:54:10 UTC
Marek, thanks a lot for taking care of this so quickly. Tim Rees provided the updated version of the packae to SAP since I was on vacation last week. Here's the feedback form SAP:

---
From: Rehmann, Kim-Thomas 
Sent: 12 August 2016 05:19
To: Rees, Timothy (external - Partner) <timothy.rees@sap.com>; Danapfel, Frank (external - Partner) <frank.danapfel@sap.com>; Koch, Markus (external - Partner) <mkoch@redhat.com>
Cc: Schmoger, Daniel <daniel.schmoger@sap.com>; Hass, Alexander <alexander.hass@sap.com>; Maennich, Matthias <matthias.maennich@sap.com>; Voelkel, Robert <robert.voelkel@sap.com>; Deller, Helge <helge.deller@sap.com>; Folkerts, Enno <enno.folkerts@sap.com>; Hopp, Holger <holger.hopp@sap.com>; Wiemers, Joerg <joerg.wiemers@sap.com>; 'cgiunta@redhat.com' <cgiunta@redhat.com>; 'jberan@redhat.com' <jberan@redhat.com>
Subject: RE: GCC5-compat-lib versioning

Hi Tim,

Thanks for the quick action. The RPM looks fine.
---

Comment 8 Michael Petlan 2016-09-16 11:50:34 UTC
Sure. Based on comment #3 and my own package check moving to VERIFIED (for version 5.3.1-10.el7_2).

Comment 13 errata-xmlrpc 2016-11-04 08:36:39 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-2567.html